download.file("http://ashipunov.info/data/aronia.txt", "aronia.txt")
# file.show("aronia.txt")
a <- read.table("aronia.txt", h=T, sep=";")

str(a)
head(a)
summary(a)

download.file("http://ashipunov.info/data/normality3.r", "normality3.r")
source("normality3.r")
Normality3(a[,4:9])

cor(a[,4:9], use="pairwise.complete.obs", method="spearman")
cor.test(a$leaf.w, a$vein.p.n., use="pairwise.complete.obs", method="spearman")

a.lm <- lm(leaf.maxw ~ leaf.l, data=a)
summary(a.lm)

plot(leaf.maxw ~ leaf.l, data=a)
abline(a.lm)
new.frame <- data.frame(leaf.l=seq(min(a$leaf.l, na.rm=T), max(a$leaf.l, na.rm=T), length.out=length(a$leaf.l)))
pp <- predict(a.lm, interval="confidence", newdata=new.frame)
matlines(new.frame$leaf.l, pp)

# ===

Cladd <- function(model, var.name, data)
{
new.var <- seq(min(data[, var.name], na.rm=T), max(data[, var.name], na.rm=T), length.out=length(data[, var.name]))
new.frame <- data.frame(new.var)
names(new.frame)[1] <- var.name
pp <- predict(model, interval="confidence", newdata=new.frame)
matlines(new.var, pp, lty=c(0,2,2), col="black")
}
plot(leaf.maxw ~ leaf.l, data=a)
abline(a.lm)
Cladd(model=a.lm, var.name="leaf.l", data=a)

# ===

table(a$leaf.pub, a$stem.pub)
chisq.test(table(a$leaf.pub, a$stem.pub))
boxplot(leaf.l ~ species, data=a)
boxplot(vein.p.n. ~ species, data=a)

cor.test(a$leaf.n, a$leaf.w, use="pairwise.complete.obs", method="spearman")
